export class AEntity {
    // protected hidden: string[] = [];
    constructor(id, originalJsonDto) {
        this.id = id;
        this.originalJsonDto = originalJsonDto;
    }
    toString() {
        let text = '';
        for (const entry of Object.entries(this)) {
            // let print = entry[0] !== 'hidden' && entry[0] !== 'originalJsonDto';
            //
            // if (print) {
            //   for (const hide of this.hidden) {
            //     if (hide === entry[0]) {
            //       print = false;
            //       break;
            //     }
            //   }
            // }
            if (entry[0] !== 'originalJsonDto') {
                if (text.length != 0) {
                    text += ' ';
                }
                text += entry[0] + ': "' + entry[1] + '";';
            }
        }
        return text;
    }
    hashCode() {
        return this.id;
    }
    equals(object) {
        if (object == null || typeof object !== 'object' || !(object instanceof AEntity) || this.constructor.name !== object.constructor.name)
            return false;
        return this.hashCode() === object.hashCode();
    }
}
export class AEntityWithNumberID extends AEntity {
    constructor(id, originalJsonDto) {
        super(id, originalJsonDto);
    }
}
export class AEntityWithStringID extends AEntity {
    constructor(id, originalJsonDto) {
        super(id, originalJsonDto);
    }
}
//# sourceMappingURL=abstract-entity.js.map