import { UndefinedOrNullOr } from '../../../types';
/**
 * Returns the whole text if the word count does not exceed <code>maxWords</code>, else the text will be truncated and a suffix will be added
 * @param {string} text
 * @param {number} maxWords
 * @param {string|null|undefined} suffix
 * @return string
 */
export declare const s_truncate: (text: UndefinedOrNullOr<string>, maxWords?: number, suffix?: UndefinedOrNullOr<string>) => string;
//# sourceMappingURL=truncate.d.ts.map