import { IList } from './list.interface';
import { ACommonList } from './list.abstract';
import { IEntity } from '../entities/entity.interface';
import { ManyOrUndefinedOrNullOr, StringOrNumber, UndefinedOrNullOr } from '../types';
import { List } from './list';
export type IEntityList<T extends IEntity<StringOrNumber>> = IList<T>;
export declare class EntityList<T extends IEntity<StringOrNumber>> extends ACommonList<EntityList<T>, T> implements IEntityList<T> {
    constructor(items?: ManyOrUndefinedOrNullOr<T>);
    create(list?: EntityList<T>): EntityList<T>;
    createSimpleList<U>(): List<U>;
    containsAny(item: UndefinedOrNullOr<T>): boolean;
    containsNone(item: UndefinedOrNullOr<T>): boolean;
    indexOf(searchElement: T, fromIndex?: number): number;
}
//# sourceMappingURL=entity-list.d.ts.map