import { AEntity, AEntityWithNumberID, AEntityWithStringID } from './abstract-entity/abstract-entity';
import { AEntityWithName, AEntityWithNumberIDAndName, AEntityWithStringIDAndName } from './abstract-entity-with-name';
export class Entity extends AEntity {
    constructor(id, originalJsonDto) {
        super(id, originalJsonDto);
    }
}
export class EntityWithNumberID extends AEntityWithNumberID {
    constructor(id, originalJsonDto) {
        super(id, originalJsonDto);
    }
}
export class EntityWithStringID extends AEntityWithStringID {
    constructor(id, originalJsonDto) {
        super(id, originalJsonDto);
    }
}
export class EntityWithName extends AEntityWithName {
    constructor(id, name, originalJsonDto) {
        super(id, name, originalJsonDto);
    }
}
export class EntityWithNumberIDAndName extends AEntityWithNumberIDAndName {
    constructor(id, name, originalJsonDto) {
        super(id, name, originalJsonDto);
    }
}
export class EntityWithStringIDAndName extends AEntityWithStringIDAndName {
    constructor(id, name, originalJsonDto) {
        super(id, name, originalJsonDto);
    }
}
//# sourceMappingURL=entity.js.map